Bug 13624 - pump build fails if not previously installed
Summary: pump build fails if not previously installed
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: pump   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-09 15:59 UTC by burlywd
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-09 15:59:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description burlywd 2000-07-09 15:59:48 UTC
pump 0.7.11 compilation fails in net.c if pump.h is not located in the
global include search path.



*** pump-0.7.11/net.c~  Mon Jun 26 09:42:29 2000
--- pump-0.7.11/net.c   Sun Jul  9 11:17:11 2000
***************
*** 6,12 ****
  #include <newt.h>
  #include <stdlib.h>
  #include <string.h>
! #include <pump.h>
  
  #ifdef __STANDALONE__
  #include <netdb.h>
--- 6,12 ----
  #include <newt.h>
  #include <stdlib.h>
  #include <string.h>
! #include "pump.h"
  
  #ifdef __STANDALONE__
  #include <netdb.h>

Comment 1 Erik Troan 2000-08-05 13:18:24 UTC
Fixed in CVS for next version of pump (probably 0.8.1)


Note You need to log in before you can comment on or make changes to this bug.